## daemon 0.6

=== Makefile ===
#
# daemon - http://libslack.org/daemon/
#
# Copyright (C) 1999-2001 raf <raf@raf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# or visit http://www.gnu.org/copyleft/gpl.html
#

# 20020916 raf <raf@raf.org>

CC := gcc
# CC := cc
AR := ar
RANLIB := ranlib
POD2MAN := pod2man
POD2HTML := pod2html
GZIP := gzip -f -9

DESTDIR := 
PREFIX := $(DESTDIR)/usr/local
APP_INSDIR := $(PREFIX)/bin
LIB_INSDIR := $(PREFIX)/lib
MAN_INSDIR := $(PREFIX)/man
HDR_INSDIR := $(PREFIX)/include
DATA_INSDIR := $(PREFIX)/share
CONF_INSDIR := /etc
APP_MANSECT := 1
LIB_MANSECT := 3
FMT_MANSECT := 5
APP_MANDIR := $(MAN_INSDIR)/man$(APP_MANSECT)
LIB_MANDIR := $(MAN_INSDIR)/man$(LIB_MANSECT)
FMT_MANDIR := $(MAN_INSDIR)/man$(FMT_MANSECT)
APP_MANSECTNAME := User Commands
LIB_MANSECTNAME := C Library Functions - libslack
FMT_MANSECTNAME := File Formats
MAN_GZIP := 1

#CCFLAGS += -O3
CCFLAGS += -Wall -pedantic

# CCFLAGS += -xO4

CLEAN_FILES += tags core Makefile.bak .makefile.bak pod2htm*

DAEMON_SRCDIR := .
DAEMON_INCDIRS := libslack
DAEMON_LIBDIRS := libslack
include $(DAEMON_SRCDIR)/macros.mk

.PHONY: all ready test check man html install uninstall dist rpm deb sol obsd fbsd

all: ready $(ALL_TARGETS)
ready: $(READY_TARGETS)
check test: all $(TEST_TARGETS)
man: $(MAN_TARGETS)
html: $(HTML_TARGETS)
install: all $(INSTALL_TARGETS)
uninstall: $(UNINSTALL_TARGETS)
dist: $(DIST_TARGETS)
rpm: $(RPM_TARGETS)
deb: $(DEB_TARGETS)
sol: $(SOL_TARGETS)
obsd: $(OBSD_TARGETS)
fbsd: $(FBSD_TARGETS)

.PHONY: help help-macros depend clean clobber distclean

help::
	@echo "This makefile provides the following targets."; \
	echo; \
	echo " help                 -- shows this list of targets"; \
	echo " help-macros          -- shows the values of all make macros"; \
	echo " all                  -- makes $(DAEMON_TARGET) and $(DAEMON_SUBTARGETS) (default)"; \
	echo " ready                -- prepares the source directory for make"; \
	echo " test                 -- makes and runs library unit tests"; \
	echo " check                -- same as test"; \
	echo " man                  -- generates all manpages"; \
	echo " html                 -- generates all manpages in html"; \
	echo " install              -- installs everything under $(PREFIX)"; \
	echo " uninstall            -- uninstalls everything from $(PREFIX)"; \
	echo " depend               -- generates source dependencies using makedepend"; \
	echo " tags                 -- generates a tags file using ctags"; \
	echo " clean                -- removes object files, tags, core and Makefile.bak"; \
	echo " clobber              -- clean + rm $(DAEMON_TARGET), $(DAEMON_SUBTARGETS) and tests"; \
	echo " distclean            -- clobber + rm source dependencies"; \
	echo " dist                 -- makes the distribution: ../$(DAEMON_DIST)"; \
	echo " rpm                  -- makes source and binary rpm packages"; \
	echo " deb                  -- makes binary debian package"; \
	echo " sol                  -- makes binary solaris package"; \
	echo " obsd                 -- makes binary openbsd package"; \
	echo " fbsd                 -- makes binary freebsd package"; \
	echo

help-macros::
	@echo "CC = $(CC)"; \
	echo "PREFIX = $(PREFIX)"; \
	echo "APP_INSDIR = $(APP_INSDIR)"; \
	echo "LIB_INSDIR = $(LIB_INSDIR)"; \
	echo "MAN_INSDIR = $(MAN_INSDIR)"; \
	echo "HDR_INSDIR = $(HDR_INSDIR)"; \
	echo "DATA_INSDIR = $(DATA_INSDIR)"; \
	echo "CONF_INSDIR = $(CONF_INSDIR)"; \
	echo "APP_MANSECT = $(APP_MANSECT)"; \
	echo "LIB_MANSECT = $(LIB_MANSECT)"; \
	echo "FMT_MANSECT = $(FMT_MANSECT)"; \
	echo "APP_MANDIR = $(APP_MANDIR)"; \
	echo "LIB_MANDIR = $(LIB_MANDIR)"; \
	echo "FMT_MANDIR = $(FMT_MANDIR)"; \
	echo "TAG_FILES = $(TAG_FILES)"; \
	echo "DEPEND_CFILES = $(DEPEND_CFILES)"; \
	echo "DEPEND_HFILES = $(DEPEND_HFILES)"; \
	echo "CCFLAGS = $(CCFLAGS)"; \
	echo "READY_TARGETS = $(READY_TARGETS)"; \
	echo "ALL_TARGETS = $(ALL_TARGETS)"; \
	echo "TEST_TARGETS = $(TEST_TARGETS)"; \
	echo "MAN_TARGETS = $(MAN_TARGETS)"; \
	echo "HTML_TARGETS = $(HTML_TARGETS)"; \
	echo "INSTALL_TARGETS = $(INSTALL_TARGETS)"; \
	echo "UNINSTALL_TARGETS = $(UNINSTALL_TARGETS)"; \
	echo "CLEAN_FILES = $(CLEAN_FILES)"; \
	echo "CLOBBER_FILES = $(CLOBBER_FILES)"; \
	echo "DEBIAN_CLOBBER_FILES = $(DEBIAN_CLOBBER_FILES)"; \
	echo "DIST_TARGETS = $(DIST_TARGETS)"; \
	echo "RPM_TARGETS = $(RPM_TARGETS)"; \
	echo "DEB_TARGETS = $(DEB_TARGETS)"; \
	echo "SOL_TARGETS = $(SOL_TARGETS)"; \
	echo "BSD_TARGETS = $(BSD_TARGETS)"; \
	echo

tags: $(TAG_FILES)
	@ctags $(TAG_FILES)

depend: ready $(DEPEND_CFILES) $(DEPEND_HFILES)
	@makedepend $(DAEMON_CPPFLAGS) $(DEPEND_CFILES)

clean::
	@rm -rf $(CLEAN_FILES)

clobber::
	@rm -rf $(CLEAN_FILES) $(CLOBBER_FILES)

distclean:: clobber
	@perl -pi -e 'last if /[D]O NOT DELETE/;' $(patsubst %, %/Makefile, $(DAEMON_SRCDIR) $(DAEMON_SUBDIRS))

include $(DAEMON_SRCDIR)/rules.mk

=== libslack/tools/Makefile ===
prefix := /usr/local

help:
	@echo "This makefile provides the following targets"; \
	echo; \
	echo " help                           -- shows this list of targets"; \
	echo " install-analyse-debug-locker   -- installs analyse-debug-locker"; \
	echo " install-prefix                 -- installs prefix"; \
	echo " install-prefix-h               -- installs prefix.h"; \
	echo " install-remove-prefix-h        -- installs remove_prefix.h"; \
	echo " uninstall-analyse-debug-locker -- uninstalls analyse-debug-locker"; \
	echo " uninstall-prefix               -- uninstalls prefix"; \
	echo " uninstall-prefix-h             -- uninstalls prefix.h"; \
	echo " uninstall-remove-prefix-h      -- uninstalls remove_prefix.h"; \
	echo; \
	echo "Note: There should be no reason to install prefix"; \
	echo "      except perhaps to install its manpage."; \
	echo

analyse-debug-locker.1: analyse-debug-locker
	pod2man --center='User Commands' --section=1 $< > $@

prefix.1: prefix
	pod2man --center='User Commands' --section=1 $< > $@

install-analyse-debug-locker: analyse-debug-locker.1
	install -m 755 analyse-debug-locker $(prefix)/bin
	install -m 644 analyse-debug-locker.1 $(prefix)/man/man1

install-prefix: prefix.1
	install -m 755 prefix $(prefix)/bin
	install -m 644 prefix.1 $(prefix)/man/man1

install-prefix-h:
	install -m 644 prefix.h $(prefix)/include/slack

install-remove-prefix-h:
	install -m 644 remove_prefix.h $(prefix)/include/slack

uninstall-analyse-debug-locker:
	rm -f $(prefix)/bin/analyse-debug-locker
	rm -f $(prefix)/man/man1/analyse-debug-locker.1

uninstall-prefix:
	rm -f $(prefix)/bin/prefix
	rm -f $(prefix)/man/man1/prefix.1

uninstall-prefix-h:
	rm -f $(prefix)/include/slack/prefix.h

uninstall-remove-prefix-h:
	rm -f $(prefix)/include/slack/remove_prefix.h

# vi:set ts=4 sw=4

## daemon 0.6.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20020916 raf <raf@raf.org>
+# 20030901 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc

=== libslack/Makefile ===
#
# libslack - http://libslack.org/
#
# Copyright (C) 1999-2001 raf <raf@raf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# or visit http://www.gnu.org/copyleft/gpl.html
#

# 20020916 raf <raf@raf.org>

CC := gcc
# CC := cc
AR := ar
RANLIB := ranlib
POD2MAN := pod2man
POD2HTML := pod2html
GZIP := gzip -f -9

DESTDIR :=
PREFIX := $(DESTDIR)/usr/local
APP_INSDIR := $(PREFIX)/bin
LIB_INSDIR := $(PREFIX)/lib
MAN_INSDIR := $(PREFIX)/man
HDR_INSDIR := $(PREFIX)/include
DATA_INSDIR := $(PREFIX)/share
APP_MANSECT := 1
LIB_MANSECT := 3
APP_MANDIR := $(MAN_INSDIR)/man$(APP_MANSECT)
LIB_MANDIR := $(MAN_INSDIR)/man$(LIB_MANSECT)
APP_MANSECTNAME := User Commands
LIB_MANSECTNAME := C Library Functions - libslack
MAN_GZIP := 1

CCFLAGS += -O3
CCFLAGS += -Wall -pedantic

# CCFLAGS += -xO4

CLEAN_FILES += tags core Makefile.bak .makefile.bak pod2htm*

SLACK_SRCDIR := .
SLACK_INCDIRS := .
SLACK_LIBDIRS := .
include $(SLACK_SRCDIR)/macros.mk

.PHONY: all ready test check man html install uninstall dist rpm deb sol

all: ready $(ALL_TARGETS)
ready: $(READY_TARGETS)
check test: all $(TEST_TARGETS)
man: $(MAN_TARGETS)
html: $(HTML_TARGETS)
install: all $(INSTALL_TARGETS)
uninstall: $(UNINSTALL_TARGETS)
dist: $(DIST_TARGETS)
rpm: $(RPM_TARGETS)
deb: $(DEB_TARGETS)
sol: $(SOL_TARGETS)
obsd: $(OBSD_TARGETS)
fbsd: $(FBSD_TARGETS)

.PHONY: help help-macros depend clean clobber distclean

help::
	@echo "This makefile provides the following targets."; \
	echo; \
	echo " help                 -- shows this list of targets"; \
	echo " help-macros          -- shows the values of all make macros"; \
	echo " all                  -- makes $(SLACK_TARGET) (default)"; \
	echo " ready                -- prepares the source directory for compilation"; \
	echo " test                 -- makes and runs library unit tests"; \
	echo " check                -- same as test"; \
	echo " man                  -- generates all manpages"; \
	echo " html                 -- generates all manpages in html"; \
	echo " install              -- installs everything under $(PREFIX)"; \
	echo " uninstall            -- uninstalls everything from $(PREFIX)"; \
	echo " depend               -- generates source dependencies using makedepend"; \
	echo " tags                 -- generates a tags file using ctags"; \
	echo " clean                -- removes object files, tags, core and Makefile.bak"; \
	echo " clobber              -- same as clean but also removes $(SLACK_TARGET) and tests"; \
	echo " distclean            -- same as clobber but also removes source dependencies"; \
	echo " dist                 -- makes the distribution: ../$(SLACK_DIST)"; \
	echo " rpm                  -- makes source and binary rpm packages"; \
	echo " deb                  -- makes source and binary debian packages"; \
	echo " sol                  -- makes binary solaris package"; \
	echo " obsd                 -- makes binary openbsd package"; \
	echo " fbsd                 -- makes binary freebsd package"; \
	echo

help-macros::
	@echo "CC = $(CC)"; \
	echo "PREFIX = $(PREFIX)"; \
	echo "APP_INSDIR = $(APP_INSDIR)"; \
	echo "LIB_INSDIR = $(LIB_INSDIR)"; \
	echo "MAN_INSDIR = $(MAN_INSDIR)"; \
	echo "HDR_INSDIR = $(HDR_INSDIR)"; \
	echo "DATA_INSDIR = $(DATA_INSDIR)"; \
	echo "APP_MANSECT = $(APP_MANSECT)"; \
	echo "LIB_MANSECT = $(LIB_MANSECT)"; \
	echo "APP_MANDIR = $(APP_MANDIR)"; \
	echo "LIB_MANDIR = $(LIB_MANDIR)"; \
	echo "TAG_FILES = $(TAG_FILES)"; \
	echo "DEPEND_CFILES = $(DEPEND_CFILES)"; \
	echo "DEPEND_HFILES = $(DEPEND_HFILES)"; \
	echo "CCFLAGS = $(CCFLAGS)"; \
	echo "READY_TARGETS = $(READY_TARGETS)"; \
	echo "ALL_TARGETS = $(ALL_TARGETS)"; \
	echo "TEST_TARGETS = $(TEST_TARGETS)"; \
	echo "MAN_TARGETS = $(MAN_TARGETS)"; \
	echo "HTML_TARGETS = $(HTML_TARGETS)"; \
	echo "INSTALL_TARGETS = $(INSTALL_TARGETS)"; \
	echo "UNINSTALL_TARGETS = $(UNINSTALL_TARGETS)"; \
	echo "CLEAN_FILES = $(CLEAN_FILES)"; \
	echo "CLOBBER_FILES = $(CLOBBER_FILES)"; \
	echo "DIST_TARGETS = $(DIST_TARGETS)"; \
	echo "RPM_TARGETS = $(RPM_TARGETS)"; \
	echo "DEB_TARGETS = $(DEB_TARGETS)"; \
	echo "SOL_TARGETS = $(SOL_TARGETS)"; \
	echo "BSD_TARGETS = $(BSD_TARGETS)"; \
	echo

tags: $(TAG_FILES)
	@ctags $(TAG_FILES)

depend: ready $(DEPEND_CFILES) $(DEPEND_HFILES)
	@makedepend $(SLACK_CPPFLAGS) $(DEPEND_CFILES)

# makedepend $(SLACK_CPPFLAGS) $(DEPEND_CFILES)

clean::
	@rm -rf $(CLEAN_FILES)

clobber::
	@rm -rf $(CLEAN_FILES) $(CLOBBER_FILES)

distclean:: clobber
	@perl -pi -e 'last if /[D]O NOT DELETE/;' $(patsubst %, %/Makefile, $(SLACK_SRCDIR) $(SLACK_SUBDIRS))

include $(SLACK_SRCDIR)/rules.mk

## daemon 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # daemon - http://libslack.org/daemon/
 #
-# Copyright (C) 1999-2001 raf <raf@raf.org>
+# Copyright (C) 1999-2004 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20030901 raf <raf@raf.org>
+# 20040102 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -29,7 +29,7 @@
 POD2HTML := pod2html
 GZIP := gzip -f -9
 
-DESTDIR := 
+DESTDIR :=
 PREFIX := $(DESTDIR)/usr/local
 APP_INSDIR := $(PREFIX)/bin
 LIB_INSDIR := $(PREFIX)/lib
@@ -60,7 +60,7 @@
 DAEMON_LIBDIRS := libslack
 include $(DAEMON_SRCDIR)/macros.mk
 
-.PHONY: all ready test check man html install uninstall dist rpm deb sol obsd fbsd
+.PHONY: all ready test check man html install uninstall dist rpm deb sol obsd fbsd osx
 
 all: ready $(ALL_TARGETS)
 ready: $(READY_TARGETS)
@@ -75,6 +75,7 @@
 sol: $(SOL_TARGETS)
 obsd: $(OBSD_TARGETS)
 fbsd: $(FBSD_TARGETS)
+osx: $(OSX_TARGETS)
 
 .PHONY: help help-macros depend clean clobber distclean
 
@@ -102,6 +103,7 @@
 	echo " sol                  -- makes binary solaris package"; \
 	echo " obsd                 -- makes binary openbsd package"; \
 	echo " fbsd                 -- makes binary freebsd package"; \
+	echo " osx                  -- makes binary macosx package"; \
 	echo
 
 help-macros::
@@ -137,7 +139,9 @@
 	echo "RPM_TARGETS = $(RPM_TARGETS)"; \
 	echo "DEB_TARGETS = $(DEB_TARGETS)"; \
 	echo "SOL_TARGETS = $(SOL_TARGETS)"; \
-	echo "BSD_TARGETS = $(BSD_TARGETS)"; \
+	echo "OBSD_TARGETS = $(OBSD_TARGETS)"; \
+	echo "FBSD_TARGETS = $(FBSD_TARGETS)"; \
+	echo "OSX_TARGETS = $(OSX_TARGETS)"; \
 	echo
 
 tags: $(TAG_FILES)

=== libslack/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # libslack - http://libslack.org/
 #
-# Copyright (C) 1999-2001 raf <raf@raf.org>
+# Copyright (C) 1999-2004 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20020916 raf <raf@raf.org>
+# 20040102 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -71,6 +71,7 @@
 sol: $(SOL_TARGETS)
 obsd: $(OBSD_TARGETS)
 fbsd: $(FBSD_TARGETS)
+osx: $(OSX_TARGETS)
 
 .PHONY: help help-macros depend clean clobber distclean
 
@@ -98,6 +99,9 @@
 	echo " sol                  -- makes binary solaris package"; \
 	echo " obsd                 -- makes binary openbsd package"; \
 	echo " fbsd                 -- makes binary freebsd package"; \
+	echo " osx                  -- makes binary macosx package"; \
+	echo; \
+	echo " slack.swig           -- makes SWIG input file for libslack"; \
 	echo
 
 help-macros::
@@ -129,7 +133,9 @@
 	echo "RPM_TARGETS = $(RPM_TARGETS)"; \
 	echo "DEB_TARGETS = $(DEB_TARGETS)"; \
 	echo "SOL_TARGETS = $(SOL_TARGETS)"; \
-	echo "BSD_TARGETS = $(BSD_TARGETS)"; \
+	echo "OBSD_TARGETS = $(OBSD_TARGETS)"; \
+	echo "FBSD_TARGETS = $(FBSD_TARGETS)"; \
+	echo "OSX_TARGETS = $(OSX_TARGETS)"; \
 	echo
 
 tags: $(TAG_FILES)

=== libslack/tools/Makefile ===
--- 
+++ 
@@ -1,3 +1,26 @@
+#
+# libslack - http://libslack.org/
+#
+# Copyright (C) 1999-2004 raf <raf@raf.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# or visit http://www.gnu.org/copyleft/gpl.html
+#
+
+# 20040102 raf <raf@raf.org>
+
 prefix := /usr/local
 
 help:

## daemon 0.6.3

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20040102 raf <raf@raf.org>
+# 20040806 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -48,7 +48,7 @@
 FMT_MANSECTNAME := File Formats
 MAN_GZIP := 1
 
-#CCFLAGS += -O3
+CCFLAGS += -O3
 CCFLAGS += -Wall -pedantic
 
 # CCFLAGS += -xO4

=== libslack/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20040102 raf <raf@raf.org>
+# 20040806 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc

=== libslack/tools/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20040102 raf <raf@raf.org>
+# 20040806 raf <raf@raf.org>
 
 prefix := /usr/local

## daemon 0.6.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # daemon - http://libslack.org/daemon/
 #
-# Copyright (C) 1999-2004 raf <raf@raf.org>
+# Copyright (C) 1999-2010 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20040806 raf <raf@raf.org>
+# 20100612 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -33,7 +33,13 @@
 PREFIX := $(DESTDIR)/usr/local
 APP_INSDIR := $(PREFIX)/bin
 LIB_INSDIR := $(PREFIX)/lib
-MAN_INSDIR := $(PREFIX)/man
+MAN_SYSDIR := $(PREFIX)/share/man
+MAN_LOCDIR := $(PREFIX)/share/man
+ifeq ($(PREFIX),/usr)
+MAN_INSDIR := $(MAN_SYSDIR)
+else
+MAN_INSDIR := $(MAN_LOCDIR)
+endif
 HDR_INSDIR := $(PREFIX)/include
 DATA_INSDIR := $(PREFIX)/share
 CONF_INSDIR := /etc
@@ -60,7 +66,7 @@
 DAEMON_LIBDIRS := libslack
 include $(DAEMON_SRCDIR)/macros.mk
 
-.PHONY: all ready test check man html install uninstall dist rpm deb sol obsd fbsd osx
+.PHONY: all ready test check man html install uninstall dist rpm deb sol obsd fbsd nbsd osx
 
 all: ready $(ALL_TARGETS)
 ready: $(READY_TARGETS)
@@ -75,6 +81,7 @@
 sol: $(SOL_TARGETS)
 obsd: $(OBSD_TARGETS)
 fbsd: $(FBSD_TARGETS)
+nbsd: $(NBSD_TARGETS)
 osx: $(OSX_TARGETS)
 
 .PHONY: help help-macros depend clean clobber distclean
@@ -103,6 +110,7 @@
 	echo " sol                  -- makes binary solaris package"; \
 	echo " obsd                 -- makes binary openbsd package"; \
 	echo " fbsd                 -- makes binary freebsd package"; \
+	echo " nbsd                 -- makes binary netbsd package"; \
 	echo " osx                  -- makes binary macosx package"; \
 	echo
 
@@ -141,6 +149,7 @@
 	echo "SOL_TARGETS = $(SOL_TARGETS)"; \
 	echo "OBSD_TARGETS = $(OBSD_TARGETS)"; \
 	echo "FBSD_TARGETS = $(FBSD_TARGETS)"; \
+	echo "NBSD_TARGETS = $(NBSD_TARGETS)"; \
 	echo "OSX_TARGETS = $(OSX_TARGETS)"; \
 	echo

=== libslack/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # libslack - http://libslack.org/
 #
-# Copyright (C) 1999-2004 raf <raf@raf.org>
+# Copyright (C) 1999-2010 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20040806 raf <raf@raf.org>
+# 20100612 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -33,7 +33,13 @@
 PREFIX := $(DESTDIR)/usr/local
 APP_INSDIR := $(PREFIX)/bin
 LIB_INSDIR := $(PREFIX)/lib
-MAN_INSDIR := $(PREFIX)/man
+MAN_SYSDIR := $(PREFIX)/share/man
+MAN_LOCDIR := $(PREFIX)/share/man
+ifeq ($(PREFIX),/usr)
+MAN_INSDIR := $(MAN_SYSDIR)
+else
+MAN_INSDIR := $(MAN_LOCDIR)
+endif
 HDR_INSDIR := $(PREFIX)/include
 DATA_INSDIR := $(PREFIX)/share
 APP_MANSECT := 1
@@ -71,6 +77,7 @@
 sol: $(SOL_TARGETS)
 obsd: $(OBSD_TARGETS)
 fbsd: $(FBSD_TARGETS)
+nbsd: $(NBSD_TARGETS)
 osx: $(OSX_TARGETS)
 
 .PHONY: help help-macros depend clean clobber distclean
@@ -99,6 +106,7 @@
 	echo " sol                  -- makes binary solaris package"; \
 	echo " obsd                 -- makes binary openbsd package"; \
 	echo " fbsd                 -- makes binary freebsd package"; \
+	echo " nbsd                 -- makes binary netbsd package"; \
 	echo " osx                  -- makes binary macosx package"; \
 	echo; \
 	echo " slack.swig           -- makes SWIG input file for libslack"; \
@@ -135,6 +143,7 @@
 	echo "SOL_TARGETS = $(SOL_TARGETS)"; \
 	echo "OBSD_TARGETS = $(OBSD_TARGETS)"; \
 	echo "FBSD_TARGETS = $(FBSD_TARGETS)"; \
+	echo "NBSD_TARGETS = $(NBSD_TARGETS)"; \
 	echo "OSX_TARGETS = $(OSX_TARGETS)"; \
 	echo

=== libslack/tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # libslack - http://libslack.org/
 #
-# Copyright (C) 1999-2004 raf <raf@raf.org>
+# Copyright (C) 1999-2010 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20040806 raf <raf@raf.org>
+# 20100612 raf <raf@raf.org>
 
 prefix := /usr/local
 
@@ -74,4 +74,4 @@
 uninstall-remove-prefix-h:
 	rm -f $(prefix)/include/slack/remove_prefix.h
 
-# vi:set ts=4 sw=4
+# vi:set ts=4 sw=4:

=== debian/changelog ===
daemon (0.6.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:31 +0000

daemon (0.6.4-1) unstable; urgency=low

  * new upstream version
  * vcs is now git
  * source format 3.0 (quilt)
  * add ${misc:Depends} to binary depends
  * Add Homepage field to control file (will be removed from
    description after squeeze release)
  * Standards-Version: 3.8.4 (see changes listed above)
  * doc-base section is now System/Administration
  * remove html man page

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 14 Jun 2010 20:43:04 +0200

daemon (0.6.3-1) unstable; urgency=low

  * new upstream version.
  * add debian/watch.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  7 Aug 2004 08:22:18 +0000

daemon (0.6.2-2) unstable; urgency=low

  * Mention upstream URL in package description		     (Closes: #217812)
  * Fix multiple Build-Depends: line in control file	     (Closes: #217811)
  * these should have been in 0.6.2-1, but cvs didn't like that.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed,  7 Jan 2004 17:27:15 +0000

daemon (0.6.2-1) unstable; urgency=low

  * new upstream version 0.6.2                               (Closes: #225909)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  3 Jan 2004 12:00:21 +0000

daemon (0.6.1-1) unstable; urgency=low

  * new upstream version.
  * Standards-Version: 3.6.1
  * remove debian/conffiles to avoid duplicate conffiles problem
  * shorten long description to make linda happy

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  1 Sep 2003 15:30:34 +0000

daemon (0.6-2) unstable; urgency=low

  * Upstream's unofficial Debian packages are 0.6-1 as well. Bump
    version number to make a difference.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 16 Sep 2002 16:59:48 +0000

daemon (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 16 Sep 2002 16:28:18 +0200

=== debian/control ===
Source: daemon
Section: utils
Priority: optional
Build-Depends: debhelper (>> 7.0.50~), perl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: http://www.libslack.org/daemon/
Standards-Version: 3.8.4

Package: daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: turns other processes into daemons
 There are many tasks that need to be performed to correctly set up a
 daemon process. This can be tedious. Daemon performs these tasks for
 other processes. This is useful for writing daemons in languages other
 than C, C++ or Perl (e.g. /bin/sh, Java).
 .
 If you want to write daemons in languages that can link against C functions
 (e.g. C, C++), see libslack which contains the core functionality of daemon.
 .
 Upstream URL: http://www.libslack.org/daemon/

=== debian/rules ===
#!/usr/bin/make -f

PACKAGENAME=daemon

%:
	dh $@

override_dh_auto_clean:
	-$(MAKE) debian-clobber

override_dh_auto_install:
	$(MAKE) PREFIX=debian/daemon/usr install-daemon-bin
	$(MAKE) PREFIX=debian/daemon/usr install-daemon-man
	$(MAKE) DAEMON_CONFDIR=debian/daemon/etc install-daemon-conf

=== debian/watch ===
version=2

http://libslack.org/daemon/download/daemon-([0-9\.]*)\.tar\.gz

## daemon 0.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # daemon - http://libslack.org/daemon/
 #
-# Copyright (C) 1999-2010 raf <raf@raf.org>
+# Copyright (C) 1999-2004, 2010, 2020 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,12 +14,10 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-# or visit http://www.gnu.org/copyleft/gpl.html
+# along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
 
-# 20100612 raf <raf@raf.org>
+# 20201111 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -31,6 +29,7 @@
 
 DESTDIR :=
 PREFIX := $(DESTDIR)/usr/local
+# PREFIX := $(DESTDIR)/usr/pkg
 APP_INSDIR := $(PREFIX)/bin
 LIB_INSDIR := $(PREFIX)/lib
 MAN_SYSDIR := $(PREFIX)/share/man

=== libslack/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # libslack - http://libslack.org/
 #
-# Copyright (C) 1999-2010 raf <raf@raf.org>
+# Copyright (C) 1999-2002, 2004, 2010, 2020 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,12 +14,10 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-# or visit http://www.gnu.org/copyleft/gpl.html
+# along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
 
-# 20100612 raf <raf@raf.org>
+# 20201111 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -31,6 +29,7 @@
 
 DESTDIR :=
 PREFIX := $(DESTDIR)/usr/local
+# PREFIX := $(DESTDIR)/usr/pkg
 APP_INSDIR := $(PREFIX)/bin
 LIB_INSDIR := $(PREFIX)/lib
 MAN_SYSDIR := $(PREFIX)/share/man

=== libslack/tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # libslack - http://libslack.org/
 #
-# Copyright (C) 1999-2010 raf <raf@raf.org>
+# Copyright (C) 1999-2004, 2010, 2020 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,12 +14,10 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-# or visit http://www.gnu.org/copyleft/gpl.html
+# along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
 
-# 20100612 raf <raf@raf.org>
+# 20201111 raf <raf@raf.org>
 
 prefix := /usr/local

=== debian/changelog ===
daemon (0.7-1) unstable; urgency=medium

  * NOT YET RELEASED
  * new upstream version
    * should now build on hurd (Closes: #651263)
    * should handle non-writable pidfiles dir more gracefully
      (Closes: #571205)
    * needs a patch to not delete debian/ on make distclean
    * README is now README.md
  * debhelper 13
  * Standards-Version: 4.5
  * uscan version 4
  * patch to not delete debian/

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 14 Nov 2020 13:43:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: daemon
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>> 7.0.50~), perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
+Build-Depends: debhelper (>> 13~), perl
+Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
 Homepage: http://www.libslack.org/daemon/
-Standards-Version: 3.8.4
+Standards-Version: 4.5.0
 
 Package: daemon
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

PACKAGENAME=daemon

%:
	dh $@ --no-parallel

override_dh_auto_install:
	$(MAKE) PREFIX=debian/daemon/usr install
	mkdir -p debian/daemon/etc
	$(MAKE) CONF_INSDIR=$(shell pwd)/debian/daemon/etc install-daemon-conf

## daemon 0.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # daemon - http://libslack.org/daemon/
 #
-# Copyright (C) 1999-2004, 2010, 2020 raf <raf@raf.org>
+# Copyright (C) 1999-2004, 2010, 2020-2021 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,10 +17,11 @@
 # along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
 
-# 20201111 raf <raf@raf.org>
+# 20210304 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
+# CC := other
 AR := ar
 RANLIB := ranlib
 POD2MAN := pod2man
@@ -28,8 +29,8 @@
 GZIP := gzip -f -9
 
 DESTDIR :=
-PREFIX := $(DESTDIR)/usr/local
-# PREFIX := $(DESTDIR)/usr/pkg
+PREFIX := /usr/local
+# PREFIX := /usr/pkg
 APP_INSDIR := $(PREFIX)/bin
 LIB_INSDIR := $(PREFIX)/lib
 MAN_SYSDIR := $(PREFIX)/share/man
@@ -62,6 +63,8 @@
 
 DAEMON_SRCDIR := .
 DAEMON_INCDIRS := libslack
+# Uncomment this for Linux systems without systemd but with elogind (e.g. Slackware)
+# DAEMON_INCDIRS += /usr/include/elogind
 DAEMON_LIBDIRS := libslack
 include $(DAEMON_SRCDIR)/macros.mk
 
@@ -161,8 +164,12 @@
 clean::
 	@rm -rf $(CLEAN_FILES)
 
+ifeq ($(shell uname -a 2>/dev/null | grep -i Debian),)
 clobber::
 	@rm -rf $(CLEAN_FILES) $(CLOBBER_FILES)
+else
+clobber:: debian-clobber
+endif
 
 distclean:: clobber
 	@perl -pi -e 'last if /[D]O NOT DELETE/;' $(patsubst %, %/Makefile, $(DAEMON_SRCDIR) $(DAEMON_SUBDIRS))

=== debian/changelog ===
daemon (0.8-1) unstable; urgency=medium

  * new upstream version
  * override configure, this is not libtool configure
  * use debhelper-compat
  * add Rules-Requires-Root
  * override insane line length lintian warning

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 24 Nov 2021 09:58:05 +0100

=== debian/control ===
Source: daemon
Section: utils
Priority: optional
Build-Depends: debhelper-compat (=13), perl
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: http://www.libslack.org/daemon/
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: turns other processes into daemons
 There are many tasks that need to be performed to correctly set up a
 daemon process. This can be tedious. Daemon performs these tasks for
 other processes. This is useful for writing daemons in languages other
 than C, C++ or Perl (e.g. /bin/sh, Java).

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh $@ --no-parallel
 
+override_dh_auto_configure:
+	./configure --prefix=/usr --enable-logind
+
 override_dh_auto_install:
 	$(MAKE) PREFIX=debian/daemon/usr install
 	mkdir -p debian/daemon/etc

=== debian/watch ===
version=4

http://libslack.org/daemon/download/daemon-([0-9\.]*)\.tar\.gz

## daemon 0.8.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# daemon - http://libslack.org/daemon/
+# daemon - https://libslack.org/daemon
 #
-# Copyright (C) 1999-2004, 2010, 2020-2021 raf <raf@raf.org>
+# Copyright (C) 1999-2004, 2010, 2020-2023 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
-
-# 20210304 raf <raf@raf.org>
+# 20230824 raf <raf@raf.org>
+#
 
 CC := gcc
 # CC := cc
@@ -103,17 +103,17 @@
 	echo " uninstall            -- uninstalls everything from $(PREFIX)"; \
 	echo " depend               -- generates source dependencies using makedepend"; \
 	echo " tags                 -- generates a tags file using ctags"; \
-	echo " clean                -- removes object files, tags, core and Makefile.bak"; \
-	echo " clobber              -- clean + rm $(DAEMON_TARGET), $(DAEMON_SUBTARGETS) and tests"; \
-	echo " distclean            -- clobber + rm source dependencies"; \
+	echo " clean                -- removes output files, tags, tests, and de-configures"; \
+	echo " clobber              -- same as clean"; \
+	echo " distclean            -- same as clean"; \
 	echo " dist                 -- makes the distribution: ../$(DAEMON_DIST)"; \
-	echo " rpm                  -- makes source and binary rpm packages"; \
-	echo " deb                  -- makes binary debian package"; \
-	echo " sol                  -- makes binary solaris package"; \
-	echo " obsd                 -- makes binary openbsd package"; \
-	echo " fbsd                 -- makes binary freebsd package"; \
-	echo " nbsd                 -- makes binary netbsd package"; \
-	echo " osx                  -- makes binary macosx package"; \
+	echo " rpm                  -- makes source and binary rpm packages [OLD]"; \
+	echo " deb                  -- makes binary debian package [OLD]"; \
+	echo " sol                  -- makes binary solaris package [OLD]"; \
+	echo " obsd                 -- makes binary openbsd package [OLD]"; \
+	echo " fbsd                 -- makes binary freebsd package [OLD]"; \
+	echo " nbsd                 -- makes binary netbsd package [OLD]"; \
+	echo " osx                  -- makes binary macosx package [OLD]"; \
 	echo
 
 help-macros::
@@ -144,7 +144,6 @@
 	echo "UNINSTALL_TARGETS = $(UNINSTALL_TARGETS)"; \
 	echo "CLEAN_FILES = $(CLEAN_FILES)"; \
 	echo "CLOBBER_FILES = $(CLOBBER_FILES)"; \
-	echo "DEBIAN_CLOBBER_FILES = $(DEBIAN_CLOBBER_FILES)"; \
 	echo "DIST_TARGETS = $(DIST_TARGETS)"; \
 	echo "RPM_TARGETS = $(RPM_TARGETS)"; \
 	echo "DEB_TARGETS = $(DEB_TARGETS)"; \
@@ -162,17 +161,13 @@
 	@makedepend $(DAEMON_CPPFLAGS) $(DEPEND_CFILES)
 
 clean::
-	@rm -rf $(CLEAN_FILES)
+	rm -rf $(CLEAN_FILES) $(CLOBBER_FILES)
+	perl -pi -e 'last if /[D]O NOT DELETE/;' $(patsubst %, %/Makefile, $(DAEMON_SRCDIR) $(DAEMON_SUBDIRS))
+	./configure --default
 
-ifeq ($(shell uname -a 2>/dev/null | grep -i Debian),)
-clobber::
-	@rm -rf $(CLEAN_FILES) $(CLOBBER_FILES)
-else
-clobber:: debian-clobber
-endif
+clobber:: clean
 
-distclean:: clobber
-	@perl -pi -e 'last if /[D]O NOT DELETE/;' $(patsubst %, %/Makefile, $(DAEMON_SRCDIR) $(DAEMON_SUBDIRS))
+distclean:: clean
 
 include $(DAEMON_SRCDIR)/rules.mk

=== libslack/tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# libslack - http://libslack.org/
+# libslack - https://libslack.org
 #
-# Copyright (C) 1999-2004, 2010, 2020 raf <raf@raf.org>
+# Copyright (C) 1999-2004, 2010, 2020-2023 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
-
-# 20201111 raf <raf@raf.org>
+# 20230824 raf <raf@raf.org>
+#
 
 prefix := /usr/local

=== debian/changelog ===
daemon (0.8.4-1) unstable; urgency=medium

  * new upstream version 0.8.4
  * turn off sending of mail in test suite
  * add libsystemd-dev to Build-Depends
    this is necessary to make --enable-logind work. Otherwise,
    logind support is ignored with a warning that is easily overseen
  * now builds source after successful binary build successfully.
    Thanks to Lucas Nussbaum. Closes: #1044910
  * Add DEP-5 copyright file. Closes: #1000492
  * add Vcs and Homepage
  * remove 0.8 workarounds in build process
  * remove no-delete-debian patch, unneeded now
  * use https in debian/watch
  * Standards-Version: 4.6.2 (no changes necessary)
  * include default.mk in debian/rules, enable hardening
  * remove unnecessary lintian overrides

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 30 Aug 2023 19:31:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: daemon
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (=13), perl
+Build-Depends: debhelper-compat (=13), perl, libsystemd-dev
 Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
-Homepage: http://www.libslack.org/daemon/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Homepage: https://libslack.org/daemon/
+Vcs-Browser: https://salsa.debian.org/debian/daemon
+Vcs-Git: https://salsa.debian.org/debian/daemon.git
+
 
 Package: daemon
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+export DPKG_EXPORT_BUILDFLAGS=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+include /usr/share/dpkg/default.mk
 
 PACKAGENAME=daemon
 
@@ -6,7 +11,7 @@
 	dh $@ --no-parallel
 
 override_dh_auto_configure:
-	./configure --prefix=/usr --enable-logind
+	./configure --prefix=/usr --enable-logind --disable-mail-test
 
 override_dh_auto_install:
 	$(MAKE) PREFIX=debian/daemon/usr install

=== debian/watch ===
version=4

https://libslack.org/daemon/download/daemon-([0-9\.]*)\.tar\.gz
